Package org.drinkless.tdlib

# Class TdApi.SearchFileDownloads

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundFileDownloads>
org.drinkless.tdlib.TdApi.SearchFileDownloads

Enclosing class:
  `TdApi`

public static class TdApi.SearchFileDownloads extends TdApi.Function<TdApi.FoundFileDownloads>
Searches for files in the file download list or recently downloaded files from the list.

Returns `FoundFileDownloads`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of files to be returned.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `onlyActive`
  Pass true to search only for active downloads, including paused.
  `boolean`
  `onlyCompleted`
  Pass true to search only for completed downloads.
  `String`
  `query`
  Query to search for; may be empty to return all downloaded files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchFileDownloads()`
  Default constructor for a function, which searches for files in the file download list or recently downloaded files from the list.
  `SearchFileDownloads(String query, boolean onlyActive, boolean onlyCompleted, String offset, int limit)`
  Creates a function, which searches for files in the file download list or recently downloaded files from the list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### query

    public String query
    Query to search for; may be empty to return all downloaded files.

  - ### onlyActive

    public boolean onlyActive
    Pass true to search only for active downloads, including paused.

  - ### onlyCompleted

    public boolean onlyCompleted
    Pass true to search only for completed downloads.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of files to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchFileDownloads

    public SearchFileDownloads()
    Default constructor for a function, which searches for files in the file download list or recently downloaded files from the list.

    Returns `FoundFileDownloads`

  - ### SearchFileDownloads

    public SearchFileDownloads(String query, boolean onlyActive, boolean onlyCompleted, String offset, int limit)
    Creates a function, which searches for files in the file download list or recently downloaded files from the list.

    Returns `FoundFileDownloads`

    Parameters:
      `query` - Query to search for; may be empty to return all downloaded files.
      `onlyActive` - Pass true to search only for active downloads, including paused.
      `onlyCompleted` - Pass true to search only for completed downloads.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of files to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundFileDownloads>`
    Returns:
      this.CONSTRUCTOR